/*@#page-include#(common-css.html)*/

<div class="container-center">
    <div>Konvergira: <span id="divergence_status"></span>, Dubina ispitivanja: <span id="divergence_depth"></span></div>
    <div class="overlay-canvas-container">
        <canvas class="canvas-passive mandelbrot-canvas-overlay" id="mandelbrot_canvas" tabindex="1"></canvas>
        <canvas class="canvas-passive div-line-canvas-overlay" id="div_line_canvas" tabindex="1"></canvas>
        <canvas class="text-canvas-overlay" id="text_grid_canvas" tabindex="1"></canvas>
    </div>
</div>

<!-- Mandelbrot Fractal Shaders -->
<script id="mandelbrot-vertex-shader" type="x-shader/x-vertex">/*@#page-include#(mandelbrot-vert-shader.glsl)*/
</script>
<script id="mandelbrot-fragment-shader" type="x-shader/x-fragment">/*@#page-include#(mandelbrot-frag-shader.glsl)*/
</script>

<!-- Complex Grid Shaders -->
<script id="grid-vertex-shader" type="x-shader/x-vertex">/*@#page-include#(grid-vert-shader.glsl)*/
</script>
<script id="grid-fragment-shader" type="x-shader/x-fragment">/*@#page-include#(grid-frag-shader.glsl)*/
</script>

<!-- Mandelbrot Divergence line Shaders -->
<script id="div-line-vertex-shader" type="x-shader/x-vertex">/*@#page-include#(div-line-vert-shader.glsl)*/
</script>
<script id="div-line-fragment-shader" type="x-shader/x-fragment">/*@#page-include#(div-line-frag-shader.glsl)*/
</script>

/*@#page-include#(common-scripts.html)*/

<!-- Mandelbrot scripts -->
<script src="@#file#(projectUtilMandelbrot.js)" type="text/javascript"></script>
<script src="@#file#(mandelbrotFast.js)" type="text/javascript"></script>

<!-- Init for both fractals -->
<script src="@#file#(initMandelbrotDivLine.js)" type="text/javascript"></script>
